org.apache.synapse.commons.emulator.http.dsl.dto.producer

## Class IncomingMessage

- java.lang.Object
- - org.apache.synapse.commons.emulator.http.dsl.dto.producer.IncomingMessage

-     public class IncomingMessage
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IncomingMessage()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBody()`
    `java.util.List<Cookie>` | `getCookies()`
    `java.util.List<Header>` | `getHeaders()`
    `io.netty.handler.codec.http.HttpMethod` | `getMethod()`
    `java.lang.String` | `getPath()`
    `java.util.List<QueryParameter>` | `getQueryParameters()`
    `static IncomingMessage` | `request()`
    `IncomingMessage` | `withBody(java.lang.String body)`
    `IncomingMessage` | `withCookie(java.lang.String name, java.lang.String value)`
    `IncomingMessage` | `withCookies(Cookie... cookies)`
    `IncomingMessage` | `withHeader(java.lang.String name, java.lang.String value)`
    `IncomingMessage` | `withHeaders(Header... headers)`
    `IncomingMessage` | `withMethod(io.netty.handler.codec.http.HttpMethod method)`
    `IncomingMessage` | `withPath(java.lang.String path)`
    `IncomingMessage` | `withQueryParameter(java.lang.String name, java.lang.String value)`
    `IncomingMessage` | `withQueryParameters(QueryParameter... queryParameters)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IncomingMessage

          public IncomingMessage()

  - ### Method Detail

    - #### request

          public static IncomingMessage request()

    - #### withMethod

          public IncomingMessage withMethod(io.netty.handler.codec.http.HttpMethod method)

    - #### withPath

          public IncomingMessage withPath(java.lang.String path)

    - #### withBody

          public IncomingMessage withBody(java.lang.String body)

    - #### withHeader

          public IncomingMessage withHeader(java.lang.String name,
                                            java.lang.String value)

    - #### withHeaders

          public IncomingMessage withHeaders(Header... headers)

    - #### withQueryParameter

          public IncomingMessage withQueryParameter(java.lang.String name,
                                                    java.lang.String value)

    - #### withQueryParameters

          public IncomingMessage withQueryParameters(QueryParameter... queryParameters)

    - #### withCookie

          public IncomingMessage withCookie(java.lang.String name,
                                            java.lang.String value)

    - #### withCookies

          public IncomingMessage withCookies(Cookie... cookies)

    - #### getCookies

          public java.util.List<Cookie> getCookies()

    - #### getHeaders

          public java.util.List<Header> getHeaders()

    - #### getPath

          public java.lang.String getPath()

    - #### getMethod

          public io.netty.handler.codec.http.HttpMethod getMethod()

    - #### getBody

          public java.lang.String getBody()

    - #### getQueryParameters

          public java.util.List<QueryParameter> getQueryParameters()

Copyright © 2005-2020 Apache Software Foundation. All Rights Reserved.